#!D:\IDE\Anaconda3\envs\Microscope_Scan python
# -*- coding: UTF-8 -*-
"""
 @Author: Administrator
 @FileName: AdapterInterface.py
 @DateTime: 2025/4/24 10:54
 @SoftWare: PyCharm
 @Author  ：xsh
"""
from PyQt5 import Qt
from abc import abstractmethod
from AppInterfaces.GlobalInterface import GlobalInterface
class AdapterInterface(GlobalInterface):
    @abstractmethod
    def isValid(self) -> bool:
        return False

    @abstractmethod
    def Done(self, buffer: object, *args, **kwargs):
        pass

    @abstractmethod
    def WaitDone(self, *args, **kwargs) -> int:
        pass



